# Copyright (c) 1991-2002 Rational Software Corporation. All rights
# reserved.
# 
# Rational, the Rational logo, ObjecTime (and logo) are registered
# trademarks of Rational Software Corporation.
# 
# The placing of the copyright notices on Rational source code is not
# intended to mean that they are published works, but are included in the
# event of inadvertent publication. The source code of Rational contains
# trade secrets and other valuable confidential information of Rational
# Software Corporation. Rational Software Corporation and its licensors
# retain ownership to Rational Products in both source and object code
# format, and related documentation and all rights therein including
# copyrights, patents and trade secrets.
# 
# 
# U.S. Government Rights
# 
# Use, duplication, or disclosure by the U.S. Government is subject to
# restrictions set forth in the applicable Rational License Agreement
# and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS
# 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,
# or FAR 52.227-14, as applicable.
# 
# 
# Unless otherwise agreed to in writing, use of Rational products is
# governed by the Rational Product License Agreement provided with
# the product.
# 
# 
# DISCLAIMER
# THE MATERIAL AND/OR SOFTWARE IS PROVIDED 'AS IS'. RATIONAL AND ITS
# THIRD PARTY LICENSORS DISCLAIM ALL REPRESENTATIONS OR WARRANTIES
# EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF
# MERCHANTABILITY, NON-INFRINGEMENT, TITLE OR FITNESS FOR A PARTICULAR
# PURPOSE OR ARISING OUT OF THE COURSE OF DEALING, USAGE OR TRADE
# PRACTICE, CONTENT OF THE MATERIAL OR SOFTWARE. RATIONAL MAKES NO
# WARRANTIES OR REPRESENTATIONS REGARDING THE ACCURACY OR COMPLETENESS OF
# THE MATERIAL AND/OR SOFTWARE PROVIDED OR THAT IT WILL MEET LICENSEE'S
# REQUIREMENTS OR THAT THE MATERIAL AND/OR SOFTWARE WILL BE ERROR FREE.
# IN NO EVENT SHALL RATIONAL OR ITS LICENSORS BE LIABLE TO LICENSEE OR A
# THIRD PARTY FOR ANY INDIRECT, DIRECT, NEGLIGENCE, SPECIAL, OR
# CONSEQUENTIAL DAMAGES INCLUDING LOST PROFITS, LOST DATA AND THE LIKE
# ARISING OUT OF OR IN CONNECTION WITH THIS RECEIPT OF MATERIAL AND/OR
# SOFTWARE EVEN IF RATIONAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGES.

# Script:   unload.pl
#
# Summary:  This script is used to unload a specified component
#           onto the specified target. It creates the tornado process
#           and passes it the all the necessary information. The
#           tornado process does all the real work.
#
# History:
#           1999/02    Creation.
#           2000-11-02 FA: Cleanup.

$cmd = "tctornado.exe -U"; # -U for Unload

%oneArgs = map { $_, 1 } qw( -cpu -exe -server );

sub quote # In: list of strings. Returns array of modified strings
{
	foreach( @_ )
	{
		s/^.*\s.*$/"$&"/;
	}

	return join( ' ', @_ );
}

while( $arg = lc( shift @ARGV ) )
{
    if( $oneArgs{$arg} ) { $cmd .= " $arg " . &quote( shift @ARGV ); }
}

( $addPath, $me ) = ( $0 =~ m{(.+)[/\\]([^/\\]+)$} ); #(path/to)/(me.pl)
$ENV{PATH} = "$addPath;$ENV{PATH}";

$rc = system( $cmd );

print "$me: Unable to execute cmd\n$cmd\n" if( $rc != 0 );

exit $rc;
